Resume from hibernate fails on latest kernels

Bug #1748373 reported by John Smith on 2018-02-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have a Dell Inspiron 15 laptop (Intel Core i3-6006U) running Ubuntu 17.10. Kernel 4.13.0.21 hibernates and resumes without problems, but the three more recent kernels (4.13.0.25, 4.13.0.31 and 4.13.0.32) fail: hibernate appears to succeed, but resume stops dead part-way through. This happens whether I use the built-in hibernate capability or usw-susp, and whether my Gnome session uses xorg or Wayland.

/var/log/kern.log doesn't seem to help much. A typical record of the failed attempt to resume is as follows:
Jan 23 21:10:13 bombay kernel: [ 98.197921] Bluetooth: RFCOMM TTY layer initialized
Jan 23 21:10:13 bombay kernel: [ 98.197937] Bluetooth: RFCOMM socket layer initialized
Jan 23 21:10:13 bombay kernel: [ 98.197954] Bluetooth: RFCOMM ver 1.11
Jan 23 21:10:19 bombay kernel: [ 104.454231] rfkill: input handler disabled
Jan 23 21:10:23 bombay kernel: [ 108.416251] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
Jan 23 21:10:41 bombay kernel: [ 126.528680] usbcore: deregistering interface driver uvcvideo
Jan 23 21:10:42 bombay kernel: [ 126.919415] rfkill: input handler enabled
Jan 23 21:10:42 bombay kernel: [ 127.240559] PM: Syncing filesystems ...

Several other people have reported similar behaviour: https://ubuntuforums.org/showthread.php?t=2382336. (This report is an edited version of what I say there.)
---
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: john 2636 F.... pulseaudio
CurrentDesktop: GNOME
DistroRelease: Ubuntu 17.10
HibernationDevice: RESUME=UUID=54d8b4c5-8ff7-40c6-ba9c-00e3af6b7b68
InstallationDate: Installed on 2017-03-25 (321 days ago)
InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Release amd64 (20161012.1)
MachineType: Dell Inc. Inspiron 15-3567
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-21-generic.efi.signed root=UUID=c1b9dad0-3a0f-4e2c-90ee-160cd1a445a8 ro quiet splash mce=off vt.handoff=7
ProcVersionSignature: Ubuntu 4.13.0-21.24-generic 4.13.13
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-21-generic N/A
 linux-backports-modules-4.13.0-21-generic N/A
 linux-firmware 1.169.3
Tags: artful
Uname: Linux 4.13.0-21-generic x86_64
UpgradeStatus: Upgraded to artful on 2017-10-24 (108 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/12/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.1.3
dmi.board.name: 0JVG7J
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr2.1.3:bd12/12/2017:svnDellInc.:pnInspiron15-3567:pvr:rvnDellInc.:rn0JVG7J:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 15-3567
dmi.sys.vendor: Dell Inc.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1748373/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1748373

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected artful
description: updated
John Smith (jds10) wrote : CRDA.txt

apport information

apport information

apport information

apport information

John Smith (jds10) wrote : Lspci.txt

apport information

John Smith (jds10) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
John Smith (jds10) wrote :

Done. The upstream kernel appears to have fixed this bug. Thank you!

tags: added: kernel-fixed-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers